Update a package

View as Markdown

Updates a package’s description and/or index script content.

Authentication

x-api-keystring
API Key authentication via header

Path parameters

packageIdstringRequired
The package's ID.

Request

This endpoint expects an object.
descriptionstringOptionalformat: "^[ -~]*$"<=500 characters
The package's description. This value may be empty and only supports printable ASCII characters.
scriptstringOptional<=512000 characters
The package's index script content. This value may be empty.

Response

Package Updated
idstring
The package's ID.
namestringformat: "^[a-z][a-z0-9_-]*$"1-200 characters
The package's immutable, lowercase import name.
descriptionstringformat: "^[ -~]*$"<=500 characters
The package's description. This value may be empty and only supports printable ASCII characters.
scriptstring<=512000 characters
The package's current index script content. This value may be empty.
createdByinteger>=1
The user ID of the user who created the package.
createdAtdatetime
The date and time at which the package was created.
updatedAtdatetime
The date and time at which the package or its script was last updated.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error